> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.melonly.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific LOA

> Get a specific LOA (Leave of Absence) by LOA ID.



## OpenAPI

````yaml GET /server/loas/{loaId}
openapi: 3.0.0
info:
  contact: {}
  description: Melonlys Public API
  termsOfService: http://melonly.xyz/terms
  title: Melonly API
  version: '1.0'
servers:
  - url: https://api.melonly.xyz/api/v1
security: []
paths:
  /server/loas/{loaId}:
    get:
      tags:
        - loas
      summary: Get a specific LOA
      description: Get a specific LOA (Leave of Absence) by LOA ID.
      parameters:
        - description: LOA ID
          example: '"loa123"'
          in: path
          name: loaId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved LOA details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.LOAAPIResponse'
        '400':
          description: Invalid LOA ID parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.BadRequestResponse'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UnauthorizedResponse'
        '404':
          description: LOA not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.NotFoundResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.LOAAPIResponse:
      properties:
        cancelledAt:
          type: integer
        createdAt:
          type: integer
        denyReason:
          type: string
        endAt:
          type: integer
        endedAt:
          type: integer
        endedBy:
          type: string
        expiredAt:
          type: integer
        extensionRequests:
          items:
            type: object
          type: array
        id:
          type: string
        memberId:
          type: string
        reason:
          type: string
        reasonHistory:
          items:
            type: object
          type: array
        reviewedAt:
          type: integer
        reviewedBy:
          type: string
        serverId:
          type: string
        startAt:
          type: integer
        startType:
          type: integer
        startedAt:
          type: integer
        status:
          type: integer
      type: object
    models.BadRequestResponse:
      properties:
        error:
          example: invalid request parameters
          type: string
      type: object
    models.UnauthorizedResponse:
      properties:
        error:
          example: authorization header is required
          type: string
      type: object
    models.NotFoundResponse:
      properties:
        error:
          example: the requested resource could not be found on this server
          type: string
      type: object
    models.InternalServerErrorResponse:
      properties:
        error:
          example: internal server error
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and the API token.
      in: header
      name: Authorization
      type: apiKey

````